### Function

# Pango find_base_dir

since: 1.4

#### Declaration [src]

    PangoDirection
    pango_find_base_dir (
      const gchar* text,
      gint length
    )

#### Description [src]

Searches a string the first character that has a strong direction, according to the Unicode bidirectional algorithm.

Available since: 1.4

#### Parameters

`text`

  Type: `const gchar*`

  The text to process. Must be valid UTF-8.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gint`

  Length of `text` in bytes (may be -1 if `text` is nul-terminated).

#### Return value

Type: `PangoDirection`

The direction corresponding to the first strong character. If no such character is found, then `PANGO_DIRECTION_NEUTRAL` is returned.